# $Revision: 1.22 $, $Date: 2012/03/03 07:51:20 $
Summary:	libFS - X Font Service client library
Summary(pl.UTF-8):	libFS - biblioteka kliencka usługi fontów X (X Font Service)
Name:		xorg-lib-libFS
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libFS-%{version}.tar.bz2
# Source0-md5:	645f83160cf7b562734e2038045106d1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains libFS, an X Font Service client library. It's
used by clients of X Font Servers (xfs), such as xfsinfo, xfslsfonts,
and the X servers themselves.

%description -l pl.UTF-8
Ten pakiet zawiera libFS - bibliotekę kliencką usługi fontów X (X Font
Service). Jest ona używana przez klientów serwerów fontów X (xfs - X
Font Servers), takich jak xfsinfo, xfslsfonts czy same serwery X.

%package devel
Summary:	Header files for libFS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libFS
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-fontsproto-devel
Requires:	xorg-proto-xproto-devel >= 7.0.17

%description devel
libFS - biblioteka kliencka usługi fontów X (X Font Service).

This package contains the header files needed to develop programs that
use libFS.

%description devel -l pl.UTF-8
libFS - biblioteka kliencka usługi fontów X (X Font Service).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libFS.

%package static
Summary:	Static libFS library
Summary(pl.UTF-8):	Biblioteka statyczna libFS
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libFS - biblioteka kliencka usługi fontów X (X Font Service).

This package contains the static libFS library.

%description static -l pl.UTF-8
libFS - biblioteka kliencka usługi fontów X (X Font Service).

Pakiet zawiera statyczną bibliotekę libFS.

%prep
%setup -q -n libFS-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libFS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFS.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/FSlib.txt
%attr(755,root,root) %{_libdir}/libFS.so
%{_libdir}/libFS.la
%{_includedir}/X11/fonts/FSlib.h
%{_pkgconfigdir}/libfs.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libFS.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libFS.spec,v $
Revision 1.22  2012/03/03 07:51:20  qboosh
- updated to 1.0.4

Revision 1.21  2011/01/29 00:08:02  sparky
- dropped pre-cvs changelog

Revision 1.20  2010/10/27 18:30:18  qboosh
- updated to 1.0.3

Revision 1.19  2009/09/29 22:04:53  qboosh
- updated util-macros version
- more verbose file and descs
- added README to doc

Revision 1.18  2009/07/08 02:17:44  arekm
- up to 1.0.2

Revision 1.17  2008/05/26 17:45:46  qboosh
- updated to 1.0.1

Revision 1.16  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.13  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.12  2006/04/16 12:30:58  qboosh
- release 1

Revision 1.11  2005/12/27 13:54:11  qboosh
- sources from X11R7.0 release

Revision 1.10  2005/12/20 11:09:40  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 09:58:15  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.7  2005/11/19 17:42:59  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.6  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.5  2005/10/20 14:18:14  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
